### Method

# EDataServer Source refresh_remove_timeout

since: 3.6

#### Declaration [src]

    gboolean
    e_source_refresh_remove_timeout (
      ESource* source,
      guint refresh_timeout_id
    )

#### Description [src]

Removes a timeout `GSource` added by e_source_refresh_add_timeout().

Available since: 3.6

#### Parameters

`refresh_timeout_id`

  Type: `guint`

  A refresh timeout ID.

#### Return value

Type: `gboolean`

`TRUE` if the timeout was found and removed.